/*
   IrSettings.cpp - Library for IrSettings
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */

#include "Arduino.h"
#include "IrSettings.h"
#include "Logger.h"

IrSettings::IrSettings(String name, String code1, String code2)
{
   _code1 = code1;
   _code2 = code2;
   _lastCode = "";
   _logger = new Logger(name);
}

bool IrSettings::read(String code)
{
	if((code == _code1 || code == _code2) && code != _lastCode) 
	{
		_lastCode = code;
		_logger->log("read() = " + String(code));
		return true;
	}
	else
	{
		_lastCode = "";
	}

	return false;
}
