/*
   Motor.cpp - Library for Motor using H-Bridge L293D.
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */

#include "Arduino.h"
#include "Motor.h"

Motor::Motor(int input1Pin, int input2Pin, int enablePin)
{
   _input1Pin = input1Pin;
   _input2Pin = input2Pin;
   _enablePin = enablePin;
}

void Motor::turnLeft(int speed)
{
	digitalWrite(_input1Pin, HIGH);
	digitalWrite(_input2Pin, LOW);
	analogWrite(_enablePin, speed);
}

void Motor::turnRight(int speed)
{
	digitalWrite(_input1Pin, LOW);
	digitalWrite(_input2Pin, HIGH);
	analogWrite(_enablePin, speed);
}

void Motor::stop()
{
	digitalWrite(_input1Pin, LOW);
	digitalWrite(_input2Pin, LOW);
	analogWrite(_enablePin, 0);
}

String Motor::getSetup()
{
	return "" + String(_input1Pin) + ", " + String(_input2Pin) + ", " + String(_enablePin);
}