/*
   Reed.cpp - Library for Reed Sensor
   Created by Raoul Minder, January, 2015.
   Released into the public domain.
 */

#include "Arduino.h"
#include "Reed.h"
#include "Logger.h"

Reed::Reed(String name, int inputPin)
{
   _inputPin = inputPin;
   _state = HIGH;
   _logger = new Logger(name);
}

bool Reed::read()
{
	int read = digitalRead(_inputPin);
	if(_state == HIGH && read == LOW)
	{
		_state = LOW;
		_logger->log("read() = " + String(read));
		return true;
	}
	else if(_state == LOW && read == HIGH)
	{
		_state = HIGH;
		_logger->log("read() = " + String(read));
	}

	return false;
}

int Reed::getInputPin()
{
	return _inputPin;
}